Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Trying to open reinstalled GIMP, without success
#1
Sad 
Hello, everyone! My name's The Mouse Avenger, & this is my very first post here! ^_^

So, I'm having a bit of a dilemma...I'm gonna try & break this down as simply as possible:

1. So, I use the Windows 10 OS. I had to move the contents of my hard drive to a new computer, & reinstall of my programs & apps. I accidentally installed GIMP 2.10 initially, but then I remembered that all of my XCF files were saved on version 2.8, & files from any GIMP version earlier than 2.10 won't open, so I had to uninstall 2.10. THEN, I looked for GIMP 2.8 -- which I knew I had on my hard drive -- but I didn't pull up the file when I first searched for it. Thus, I ended up installing version 2.9...

2. Eventually, I found my 2.8 installer, & uninstalled 2.9. I ran the installation wizard for 2.8, but every time it tried to, it made my computer go into a BSOD -- more than once. Finally, I remembered what the BSOD error was, & looked up how to fix it. There were several methods that I tried, & after a quick reboot (plus Windows updates), the GIMP installation worked perfectly without making my computer crash!

3. But, THEN, I had another problem. When I tried to open 2.8, there came error messages that told me certain DLL files in my GIMP program folder were corrupted or missing. So I looked for those 5 DLL files, copied & pasted them into my GIMP program folder, & tried again. I didn't get THOSE error messages anymore, thankfully, BUT....


4. NOW, I'm getting ANOTHER error message when I try to open GIMP 2.8. Even after uninstalling & reinstalling the program, I still get the same error that prevents the program from loading. You can see it in the attached picture.

https://i.ibb.co/87jcC1m/What-s-Wrong-With-GIMP.png

Sooo, what should I do to make GIMP 2.8 open & run successfully on my computer, like it did on the last hard drive? Any assistance would be GREATLY appreciated! :-) Thank you very much! ^_^
Reply
#2
(12-22-2022, 06:50 PM)The Mouse Avenger Wrote: I remembered that all of my XCF files were saved on version 2.8, & files from any GIMP version earlier than 2.10 won't open,

Wrong memories. Gimp 2.10 will open files produced by earlier versions(*). I have XCF files as old as 2007 (so produced with Gimp 2.4, and possibly even Gimp 2.2) that are opened by Gimp 2.10. If it doesn't work for a file of yours please share the file.

Files produced by Gimp 2.10 can be in a new format that won't be opened by Gimp 2.8 (dues to new layer modes or compression).

(*) this is called "backward compatibility", and is a given in most computer software. Not ensuring so in a new version is a commercial and PR suicide.
Reply
#3
Quote:...Sooo, what should I do to make GIMP 2.8 open & run successfully on my computer, like it did on the last hard drive?...

Sooo, answering that question

Both Gimp 2.10 and Gimp 2.8 by default install to the same location "C:\Program Files\GIMP 2\"

The Gimp installer (2.10 or 2.8) will first try to uninstall an existing Gimp before continuing with the installation.

If you have installed any 'extras' to that location or Gimp 2.8 overwriting 2.10 there is a good chance of files remaining.

For a clean installation of Gimp 2.8

1. Go into Windows 10 uninstaller (called Apps&Features now ?) and uninstall any Gimp reference.
2. That often leaves traces of sub-folders in "C:\Program Files\GIMP 2\" so go and delete the Gimp 2 folder. (might need a Windows restart to do that)
3. Get the last version of Gimp 2.8 https://download.gimp.org/gimp/v2.8/wind...-setup.exe
4. Run it to install Gimp 2.8.22

You might have an existing Gimp 2.8 User profile. C:\Users\"yourname"\.gimp-2.8 Unless you have anything special in there, a good idea to delete it. Gimp will create a new default when run.

My 2 Euros worth, unless needed for some old script/plugin best forget Gimp 2.8 and use Gimp 2.10
Reply
#4
Lightbulb 
(12-22-2022, 08:38 PM)Ofnuts Wrote:
(12-22-2022, 06:50 PM)The Mouse Avenger Wrote: I remembered that all of my XCF files were saved on version 2.8, & files from any GIMP version earlier than 2.10 won't open,

Wrong memories. Gimp 2.10 will open files produced by earlier versions(*). I have XCF files as old as 2007 (so produced with Gimp 2.4, and possibly even Gimp 2.2) that are opened by Gimp 2.10. If it doesn't work for a file of yours please share the file.

Files produced by Gimp 2.10 can be in a new format that won't be opened by Gimp 2.8 (dues to new layer modes or compression).

(*) this is called "backward compatibility", and is a given in most computer software. Not ensuring so in a new version is a commercial and PR suicide.

Oh, so it was the other way around, then! :O I see. :-) Thank you for your elucidation! ^_^
Reply


Forum Jump: